Bug 2023929 (CVE-2021-42382) - CVE-2021-42382 busybox: use-after-free in awk applet leads to denial of service and possibly code execution when processing a crafted awk pattern in the getvar_s()
Summary: CVE-2021-42382 busybox: use-after-free in awk applet leads to denial of servi...
Keywords:
Status: NEW
Alias: CVE-2021-42382
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2023930
Blocks: 2023944
TreeView+ depends on / blocked
 
Reported: 2021-11-16 19:20 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-26 15:52 UTC (History)
5 users (show)

Fixed In Version: BusyBox 1.34.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in BusyBox, where it did not properly sanitize while processing a crafted awk pattern in the getvar_s function, leading to possible code execution. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-11-16 19:20:15 UTC
A use-after-free in awk leads to denial of service and possibly code execution when processing a crafted awk pattern in the getvar_s function.

Reference:
https://jfrog.com/blog/unboxing-busybox-14-new-vulnerabilities-uncovered-by-claroty-and-jfrog/

Comment 1 Guilherme de Almeida Suckevicz 2021-11-16 19:20:31 UTC
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 2023930]


Note You need to log in before you can comment on or make changes to this bug.